/*
  Copyright (C) 2010 DJ Delorie <dj@redhat.com>

  This file is free software; you can redistribute it and/or modify it under
  the terms of the GNU General Public License as published by the Free
  Software Foundation; either version 3, or (at your option) any later
  version.
  
  This file is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
  for more details.
  
  You should have received a copy of the GNU General Public License
  along with this file; see the file COPYING3.  If not see
  <http://www.gnu.org/licenses/>.
*/

#include "r8c-1b.h"
#include "stick.h"

#define WAIT 0x0100

static void
delay ()
{
  int i, j;
  for (i=WAIT; i; i--)
    for (j=WAIT; j; j--)
      asm ("nop");
}

main()
{
  int i = 0;

  /* We hold the RX in reset so we can control both the red and orange
     LEDs.  Likewise, we disconnect the serial lines so the usb chip
     doesn't interfere.  */

  ucon.b = 0;
  pd1 = RESET_MASK | SGATE_MASK | RX_RX_MASK;
  pd3 = LED_MASK;

  p1.b = 0; /* reset the RX */
  SGATE = 1; /* disconnect the RX serial from the USB serial */

  while (1)
    {
      LED = i >> 1;
      RX_RX = ~(i >> 1);

      delay ();

      i ++;
    }
}
