/*
  Copyright (C) 2010 DJ Delorie <dj@redhat.com>

  This file is free software; you can redistribute it and/or modify it under
  the terms of the GNU General Public License as published by the Free
  Software Foundation; either version 3, or (at your option) any later
  version.
  
  This file is distributed in the hope that it will be useful, but WITHOUT ANY
  WARRANTY; without even the implied warranty of MERCHANTABILITY or
  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
  for more details.
  
  You should have received a copy of the GNU General Public License
  along with this file; see the file COPYING3.  If not see
  <http://www.gnu.org/licenses/>.
*/

/* PD1 bits */

#define RESET_MASK	0x0f
#define RX_RX_MASK	0x10
#define RX_TX_MASK	0x20
#define SGATE_MASK	0x80

/* PD3 bits */

#define MD1_MASK	0x08
#define	MDE_MASK	0x10
#define LED_MASK	0x20
#define USB_RX_MASK	0x80

/* PD4 bits */

#define USB_TX_MASK	0x20

/* P1 bits */

#define RX_RX		p1.b4
#define RX_TX		p1.b5
#define SGATE		p1.b7

/* Reset the RX */
#define RESET_ON()	p1.b &= ~RESET_MASK
/* Release the RX */
#define RESET_OFF()	p1.b |= RESET_MASK

/* P3 bits */

#define MD1		p3.b3
#define MDE		p3.b4
#define LED		p3.b5
#define USB_RX		p3.b7

/* The LED is connected to +5, so a logic HIGH won't shut it
   completely off.  */
#define LED_ON()	pd3 |= LED_MASK
#define LED_OFF()	pd3 &= ~LED_MASK

/* P4 bits */

#define USB_TX		p4.b5
